Package ru.bitel.bgbilling.modules.npay.common.bean

# Class ServiceObject.Builder

java.lang.Object
ru.bitel.bgbilling.modules.npay.common.bean.ServiceObject.Builder

Enclosing class:
  ServiceObject

    public static class ServiceObject.Builder
    extends java.lang.Object

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ServiceObject` | `build()` |
  `ServiceObject.Builder` | `setCol​(int col)` |
  `ServiceObject.Builder` | `setComment​(java.lang.String comment)` |
  `ServiceObject.Builder` | `setContractId​(int contractId)` |
  `ServiceObject.Builder` | `setDate1​(java.util.Date serviceDate1)` |
  `ServiceObject.Builder` | `setDate2​(java.util.Date serviceDate2)` |
  `ServiceObject.Builder` | `setEntityId​(int entityId)` |
  `ServiceObject.Builder` | `setEntityModuleId​(int entityModuleId)` |
  `ServiceObject.Builder` | `setId​(int id)` |
  `ServiceObject.Builder` | `setObjectId​(int objectId)` |
  `ServiceObject.Builder` | `setObjectTitle​(java.lang.String objectTitle)` |
  `ServiceObject.Builder` | `setServiceId​(int serviceId)` |
  `ServiceObject.Builder` | `setServiceTitle​(java.lang.String serviceTitle)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public ServiceObject.Builder setId​(int id)

  - ### setObjectTitle

    public ServiceObject.Builder setObjectTitle​(java.lang.String objectTitle)

  - ### setDate1

    public ServiceObject.Builder setDate1​(java.util.Date serviceDate1)

  - ### setDate2

    public ServiceObject.Builder setDate2​(java.util.Date serviceDate2)

  - ### setServiceTitle

    public ServiceObject.Builder setServiceTitle​(java.lang.String serviceTitle)

  - ### setObjectId

    public ServiceObject.Builder setObjectId​(int objectId)

  - ### setServiceId

    public ServiceObject.Builder setServiceId​(int serviceId)

  - ### setCol

    public ServiceObject.Builder setCol​(int col)

  - ### setEntityId

    public ServiceObject.Builder setEntityId​(int entityId)

  - ### setEntityModuleId

    public ServiceObject.Builder setEntityModuleId​(int entityModuleId)

  - ### setContractId

    public ServiceObject.Builder setContractId​(int contractId)

  - ### setComment

    public ServiceObject.Builder setComment​(java.lang.String comment)

  - ### build

    public ServiceObject build()